Results 1 to 6 of 6

Thread: Chromium update breaks all news videos on Chrome and Firefox but removing Chrome + fixes

  1. #1
    Join Date
    Jul 2018
    Location
    Loma Linda, Mo
    Posts
    101

    Exclamation Chromium update breaks all news videos on Chrome and Firefox but removing Chrome + fixes

    Videos on CNN, ABC, CBS and NBC sites froze or display something went wrong.

    Going back to last good backup and installing updates one at a time - everything worked until Chromium update went in.

    VLC and ffmpeg-3 are from Packman - everything else is openSUSE-Leap

    # zypper lr
    Repository priorities are without effect. All enabled repositories share the same priority.

    # | Alias | Name | Enabled | GPG Check | Refresh
    --+--------------+----------------------------+---------+-----------+--------
    1 | Packman | Packman Repository | Yes | (r ) Yes | Yes
    2 | repo-non-oss | openSUSE-Leap-42.3-Non-Oss | Yes | (r ) Yes | Yes
    3 | repo-oss | openSUSE-Leap-42.3-Oss | Yes | (r ) Yes | Yes
    4 | repo-update | openSUSE-Leap-42.3-Update | Yes | (r ) Yes | Yes
    #

    What I had to run to get videos working again:

    zypper rm libavcodec58 libavformat58 libavutil56 libswresample3 libvpx4 chromedriver chromium

    Videos play again - What did Chromium do that breaks Firefox.

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,631
    Blog Entries
    3

    Default Re: Chromium update breaks all news videos on Chrome and Firefox but removing Chrome + fixes

    When I updated last evening, firefox stopped playing some videos.

    This morning, I checked and "libavcodec58" was now available in packman.

    So: Yast Software Management
    Repository View
    Select "packman" repo
    Switch system packages to this repo.

    That switched libavcodec58 and three others. After that (and after restarting "firefox"), it seems to play videos again. And "chromium" and "vivaldi" both seem okay. But "opera" still won't play them.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  3. #3
    Join Date
    Jul 2018
    Location
    Loma Linda, Mo
    Posts
    101

    Default Re: Chromium update breaks all news videos on Chrome and Firefox but removing Chrome + fixes

    # zypper in -f --repo Packman libavcodec58
    Loading repository data...
    Reading installed packages...
    Package 'libavcodec58' is not available in your repositories. Cannot reinstall, upgrade, or downgrade.
    Resolving package dependencies...

    Nothing to do.

    It is not in my Packman repo for 42.3

    I reinstalled Chromium and video stopped working as soon as it installed. The removal got the video going again - I will check again tomorrow to see if it made it to my Packman

    I tried these 2 Packman repos:

    baseurl=http://ftp.uni-erlangen.de/pub/mirrors/packman/suse/openSUSE_Leap_42.3

    baseurl=http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.3

  4. #4
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,631
    Blog Entries
    3

    Default Re: Chromium update breaks all news videos on Chrome and Firefox but removing Chrome + fixes

    Quote Originally Posted by larryr View Post
    It is not in my Packman repo for 42.3
    My mistake. Sorry about that.

    I did not pay careful attention to the openSUSE version you are using. I'm on Leap 15.0, where that package is available. I do not know if it will become available for 42.3. I think there's a packman mailing list for such questions.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  5. #5
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: Chromium update breaks all news videos on Chrome and Firefox but removing Chrome + fixes

    this has been reported and fixed for LEAP 15.0
    unfortunately there is a build error for 42.3
    http://lists.links2linux.de/pipermai...ly/015706.html
    15.0: succeeded for x86_64 (so, wait for an update of your mirror)
    42.3: unresolvable: nothing provides libmysofa-devel, nothing provides
    pkgconfig(libopenmpt), nothing provides pkgconfig(srt),
    nothing provides pkgconfig(ffnvcodec)
    at the moment 42.3 users don't have a choice if they keep ffmpeg4 installed neither chromium nor firefox will play restricted formats
    maybe it's time for an upgrade to 15.0

  6. #6

    Default Re: Chromium update breaks all news videos on Chrome and Firefox but removing Chrome + fixes

    Quote Originally Posted by I_A View Post
    this has been reported and fixed for LEAP 15.0
    unfortunately there is a build error for 42.3
    http://lists.links2linux.de/pipermai...ly/015706.html

    at the moment 42.3 users don't have a choice if they keep ffmpeg4 installed neither chromium nor firefox will play restricted formats
    maybe it's time for an upgrade to 15.0
    Hi,
    So currently there is no way to play videos\Netflix\Spority in Chromium? I received some updates today to libavcodec58 but no luck. I'm currently using Chrome instead of Chromium to play Facebook videos, Netflix, Spotify, etc.
    OpenSUSE Leap 42.2 x64 KDE

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •